Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision d3d1243487e2e4ffa83231ca3afd402504d43f11)
+++ cpukit/Makefile.am	(revision b45a85322a609d233d611baf5d7623c39f5e7c9e)
@@ -261,4 +261,105 @@
 libcpukit_a_SOURCES += libcsupport/src/write_r.c
 libcpukit_a_SOURCES += libcsupport/src/writev.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_are_nodes_equal.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_chown.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_clone.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_close.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_eval_path.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_fchmod.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_fcntl.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_freenode.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_fstat.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_fsunmount.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_fsync.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_fsync_success.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_ftruncate.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_ftruncate_directory.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_handlers.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_ioctl.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_kqfilter.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_link.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_lock_and_unlock.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_lseek.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_lseek_directory.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_lseek_file.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_mknod.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_mmap.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_mount.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_open.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_ops.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_poll.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_read.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_readlink.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_readv.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_rename.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_rmnod.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_statvfs.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_symlink.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_unmount.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_utime.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_write.c
+libcpukit_a_SOURCES += libfs/src/defaults/default_writev.c
+libcpukit_a_SOURCES += libfs/src/devfs/devclose.c
+libcpukit_a_SOURCES += libfs/src/devfs/devfs_eval.c
+libcpukit_a_SOURCES += libfs/src/devfs/devfs_init.c
+libcpukit_a_SOURCES += libfs/src/devfs/devfs_mknod.c
+libcpukit_a_SOURCES += libfs/src/devfs/devfs_show.c
+libcpukit_a_SOURCES += libfs/src/devfs/devioctl.c
+libcpukit_a_SOURCES += libfs/src/devfs/devopen.c
+libcpukit_a_SOURCES += libfs/src/devfs/devread.c
+libcpukit_a_SOURCES += libfs/src/devfs/devstat.c
+libcpukit_a_SOURCES += libfs/src/devfs/devwrite.c
+libcpukit_a_SOURCES += libfs/src/imfs/deviceio.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_chown.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_config.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_creat.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_dir.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_dir_default.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_dir_minimal.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_eval.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_fchmod.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_fifo.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_fsunmount.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_handlers_device.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_init.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_initsupp.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_linfile.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_link.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_load_tar.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_make_generic_node.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_memfile.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_mknod.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_mount.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_node.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_rename.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_rmnod.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_stat.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_stat_file.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_symlink.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_unmount.c
+libcpukit_a_SOURCES += libfs/src/imfs/imfs_utime.c
+libcpukit_a_SOURCES += libfs/src/imfs/ioman.c
+libcpukit_a_SOURCES += libfs/src/pipe/fifo.c
+libcpukit_a_SOURCES += libfs/src/pipe/pipe.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-bitmaps.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-block.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-buffer-bdbuf.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-buffer.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-dir.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-dir-hash.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-file.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-file-system.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-format.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-group.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-inode.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-link.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-mutex.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-rtems.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-rtems-dev.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-rtems-dir.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-rtems-file.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-rtems-utils.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-shell.c
+libcpukit_a_SOURCES += libfs/src/rfs/rtems-rfs-trace.c
 libcpukit_a_SOURCES += sapi/src/chainappendnotify.c
 libcpukit_a_SOURCES += sapi/src/chaingetnotify.c
@@ -328,4 +429,31 @@
 endif
 
+if LIBDOSFS
+
+libcpukit_a_SOURCES += libfs/src/dosfs/fat.c
+libcpukit_a_SOURCES += libfs/src/dosfs/fat_fat_operations.c
+libcpukit_a_SOURCES += libfs/src/dosfs/fat_file.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_conv.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_conv_default.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_conv_utf8.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_create.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_dir.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_eval.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_file.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_format.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_free.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_fsunmount.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_handlers_dir.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_handlers_file.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_init.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_initsupp.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_misc.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_mknod.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_rename.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_rmnod.c
+libcpukit_a_SOURCES += libfs/src/dosfs/msdos_statvfs.c
+
+endif
+
 if LIBDRVMGR
 
@@ -386,5 +514,4 @@
 # librtemscpu
 _SUBDIRS = . score rtems posix
-_SUBDIRS += libfs
 _SUBDIRS += libnetworking librpc
 _SUBDIRS += libpci
@@ -432,4 +559,53 @@
 endif
 
+project_lib_LIBRARIES += libjffs2.a
+
+$(PROJECT_LIB)/libjffs2.a: libjffs2.a
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/libjffs2.a
+TMPINSTALL_FILES += $(PROJECT_LIB)/libjffs2.a
+
+libjffs2_a_SOURCES =
+libjffs2_a_SOURCES += libfs/src/jffs2/src/build.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/compat-crc32.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/compr.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/compr_rtime.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/compr_zlib.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/debug.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/dir-rtems.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/erase.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/flashio.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/fs-rtems.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/gc.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/malloc-rtems.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/nodelist.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/nodemgmt.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/read.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/readinode.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/scan.c
+libjffs2_a_SOURCES += libfs/src/jffs2/src/write.c
+libjffs2_a_CFLAGS =
+libjffs2_a_CFLAGS += -Wno-pointer-sign
+libjffs2_a_CPPFLAGS =
+libjffs2_a_CPPFLAGS += $(AM_CPPFLAGS)
+libjffs2_a_CPPFLAGS += -I$(srcdir)/libfs/src/jffs2/include
+
+if LIBNETWORKING
+
+project_lib_LIBRARIES += libnfs.a
+
+$(PROJECT_LIB)/libnfs.a: libnfs.a
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/libnfs.a
+TMPINSTALL_FILES += $(PROJECT_LIB)/libnfs.a
+
+libnfs_a_SOURCES =
+libnfs_a_SOURCES += libfs/src/nfsclient/proto/mount_prot_xdr.c
+libnfs_a_SOURCES += libfs/src/nfsclient/proto/nfs_prot_xdr.c
+libnfs_a_SOURCES += libfs/src/nfsclient/src/nfs.c
+libnfs_a_SOURCES += libfs/src/nfsclient/src/rpcio.c
+libnfs_a_SOURCES += libfs/src/nfsclient/src/sock_mbuf.c
+libnfs_a_SOURCES += libfs/src/nfsclient/src/xdr_mbuf.c
+
+endif
+
 include $(top_srcdir)/automake/subdirs.am
 include $(top_srcdir)/automake/local.am
Index: cpukit/configure.ac
===================================================================
--- cpukit/configure.ac	(revision d3d1243487e2e4ffa83231ca3afd402504d43f11)
+++ cpukit/configure.ac	(revision b45a85322a609d233d611baf5d7623c39f5e7c9e)
@@ -498,6 +498,4 @@
 score/cpu/no_cpu/Makefile
 posix/Makefile
-libfs/Makefile
-libfs/src/nfsclient/Makefile
 libgnat/Makefile
 libnetworking/Makefile
Index: ukit/libfs/Makefile.am
===================================================================
--- cpukit/libfs/Makefile.am	(revision d3d1243487e2e4ffa83231ca3afd402504d43f11)
+++ 	(revision )
@@ -1,145 +1,0 @@
-include $(top_srcdir)/automake/multilib.am
-include $(top_srcdir)/automake/compile.am
-
-_SUBDIRS = src/nfsclient
-
-
-noinst_LIBRARIES = libdefaultfs.a
-libdefaultfs_a_SOURCES = \
-    src/defaults/default_clone.c \
-    src/defaults/default_are_nodes_equal.c \
-    src/defaults/default_lock_and_unlock.c \
-    src/defaults/default_eval_path.c \
-    src/defaults/default_fchmod.c src/defaults/default_freenode.c \
-    src/defaults/default_fsync.c \
-    src/defaults/default_fsync_success.c \
-    src/defaults/default_link.c \
-    src/defaults/default_read.c src/defaults/default_rmnod.c \
-    src/defaults/default_chown.c \
-    src/defaults/default_fcntl.c \
-    src/defaults/default_ftruncate.c src/defaults/default_lseek.c \
-    src/defaults/default_lseek_file.c \
-    src/defaults/default_lseek_directory.c \
-    src/defaults/default_readlink.c src/defaults/default_statvfs.c \
-    src/defaults/default_utime.c \
-    src/defaults/default_fstat.c \
-    src/defaults/default_ioctl.c src/defaults/default_mount.c \
-    src/defaults/default_rename.c src/defaults/default_symlink.c \
-    src/defaults/default_write.c \
-    src/defaults/default_unmount.c \
-    src/defaults/default_open.c src/defaults/default_close.c \
-    src/defaults/default_fsunmount.c src/defaults/default_mknod.c \
-    src/defaults/default_ftruncate_directory.c \
-    src/defaults/default_handlers.c src/defaults/default_ops.c
-libdefaultfs_a_SOURCES += src/defaults/default_kqfilter.c
-libdefaultfs_a_SOURCES += src/defaults/default_mmap.c
-libdefaultfs_a_SOURCES += src/defaults/default_poll.c
-libdefaultfs_a_SOURCES += src/defaults/default_readv.c
-libdefaultfs_a_SOURCES += src/defaults/default_writev.c
-
-noinst_LIBRARIES += libimfs.a
-libimfs_a_SOURCES =
-
-libimfs_a_SOURCES += src/imfs/deviceio.c \
-    src/imfs/imfs_chown.c src/imfs/imfs_config.c \
-    src/imfs/imfs_creat.c \
-    src/imfs/imfs_eval.c src/imfs/imfs_fchmod.c \
-    src/imfs/imfs_dir.c \
-    src/imfs/imfs_dir_default.c \
-    src/imfs/imfs_dir_minimal.c \
-    src/imfs/imfs_fifo.c \
-    src/imfs/imfs_make_generic_node.c \
-    src/imfs/imfs_fsunmount.c \
-    src/imfs/imfs_handlers_device.c \
-    src/imfs/imfs_init.c \
-    src/imfs/imfs_initsupp.c src/imfs/imfs_link.c src/imfs/imfs_load_tar.c \
-    src/imfs/imfs_linfile.c \
-    src/imfs/imfs_mknod.c src/imfs/imfs_mount.c \
-    src/imfs/imfs_rename.c src/imfs/imfs_rmnod.c \
-    src/imfs/imfs_stat.c src/imfs/imfs_stat_file.c src/imfs/imfs_symlink.c \
-    src/imfs/imfs_unmount.c src/imfs/imfs_utime.c src/imfs/ioman.c \
-    src/imfs/imfs_memfile.c src/imfs/imfs.h
-libimfs_a_SOURCES += src/imfs/imfs_node.c
-
-# POSIX FIFO/pipe
-libimfs_a_SOURCES += src/pipe/fifo.c src/pipe/pipe.c src/pipe/pipe.h
-
-noinst_LIBRARIES += libdevfs.a
-libdevfs_a_SOURCES = src/devfs/devfs_init.c src/devfs/devfs_eval.c \
-    src/devfs/devfs_mknod.c src/devfs/devfs_show.c \
-    src/devfs/devopen.c src/devfs/devread.c \
-    src/devfs/devwrite.c src/devfs/devclose.c src/devfs/devioctl.c \
-    src/devfs/devstat.c src/devfs/devfs.h
-
-# dosfs
-if LIBDOSFS
-noinst_LIBRARIES += libdosfs.a
-
-# libdosfs_FATFS_C_FILES
-libdosfs_a_SOURCES = src/dosfs/fat.c src/dosfs/fat.h \
-    src/dosfs/fat_fat_operations.c src/dosfs/fat_fat_operations.h \
-    src/dosfs/fat_file.c src/dosfs/fat_file.h
-
-# libdosfs_DOSFS_C_FILES
-libdosfs_a_SOURCES += src/dosfs/msdos_create.c src/dosfs/msdos_dir.c \
-    src/dosfs/msdos_eval.c src/dosfs/msdos_file.c src/dosfs/msdos_free.c \
-    src/dosfs/msdos_fsunmount.c src/dosfs/msdos_handlers_dir.c \
-    src/dosfs/msdos_handlers_file.c src/dosfs/msdos_init.c \
-    src/dosfs/msdos_initsupp.c src/dosfs/msdos_misc.c \
-    src/dosfs/msdos_mknod.c \
-    src/dosfs/msdos_rmnod.c src/dosfs/msdos_statvfs.c \
-    src/dosfs/msdos_conv_default.c \
-    src/dosfs/msdos_conv_utf8.c \
-    src/dosfs/msdos_conv.c src/dosfs/msdos.h src/dosfs/msdos_format.c \
-    src/dosfs/dosfs.h src/dosfs/msdos_rename.c
-endif
-
-# RFS
-noinst_LIBRARIES += librfs.a
-librfs_a_SOURCES = \
-    src/rfs/rtems-rfs-bitmaps.c src/rfs/rtems-rfs-block.c \
-    src/rfs/rtems-rfs-buffer-bdbuf.c src/rfs/rtems-rfs-buffer.c \
-    src/rfs/rtems-rfs-dir-hash.c src/rfs/rtems-rfs-file.c \
-    src/rfs/rtems-rfs-group.c src/rfs/rtems-rfs-inode.c \
-    src/rfs/rtems-rfs-rtems-dev.c src/rfs/rtems-rfs-rtems-utils.c \
-    src/rfs/rtems-rfs-rtems.c src/rfs/rtems-rfs-shell.c \
-    src/rfs/rtems-rfs-dir.c \
-    src/rfs/rtems-rfs-file-system.c src/rfs/rtems-rfs-format.c \
-    src/rfs/rtems-rfs-link.c src/rfs/rtems-rfs-mutex.c \
-    src/rfs/rtems-rfs-rtems-dir.c src/rfs/rtems-rfs-rtems-file.c \
-    src/rfs/rtems-rfs-trace.c
-
-# JFFS2
-project_lib_LIBRARIES = libjffs2.a
-
-$(PROJECT_LIB)/libjffs2.a: libjffs2.a
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/libjffs2.a
-TMPINSTALL_FILES = $(PROJECT_LIB)/libjffs2.a
-
-libjffs2_a_SOURCES =
-libjffs2_a_SOURCES += src/jffs2/src/build.c
-libjffs2_a_SOURCES += src/jffs2/src/compat-crc32.c
-libjffs2_a_SOURCES += src/jffs2/src/compr.c
-libjffs2_a_SOURCES += src/jffs2/src/compr_rtime.c
-libjffs2_a_SOURCES += src/jffs2/src/compr_zlib.c
-libjffs2_a_SOURCES += src/jffs2/src/debug.c
-libjffs2_a_SOURCES += src/jffs2/src/dir-rtems.c
-libjffs2_a_SOURCES += src/jffs2/src/erase.c
-libjffs2_a_SOURCES += src/jffs2/src/flashio.c
-libjffs2_a_SOURCES += src/jffs2/src/fs-rtems.c
-libjffs2_a_SOURCES += src/jffs2/src/gc.c
-libjffs2_a_SOURCES += src/jffs2/src/malloc-rtems.c
-libjffs2_a_SOURCES += src/jffs2/src/nodelist.c
-libjffs2_a_SOURCES += src/jffs2/src/nodemgmt.c
-libjffs2_a_SOURCES += src/jffs2/src/read.c
-libjffs2_a_SOURCES += src/jffs2/src/readinode.c
-libjffs2_a_SOURCES += src/jffs2/src/scan.c
-libjffs2_a_SOURCES += src/jffs2/src/write.c
-libjffs2_a_CFLAGS =
-libjffs2_a_CFLAGS += -Wno-pointer-sign
-libjffs2_a_CPPFLAGS =
-libjffs2_a_CPPFLAGS += $(AM_CPPFLAGS) -I$(srcdir)/src/jffs2/include
-
-# ---
-include $(top_srcdir)/automake/subdirs.am
-include $(top_srcdir)/automake/local.am
Index: ukit/libfs/src/nfsclient/Makefile.am
===================================================================
--- cpukit/libfs/src/nfsclient/Makefile.am	(revision d3d1243487e2e4ffa83231ca3afd402504d43f11)
+++ 	(revision )
@@ -1,31 +1,0 @@
-include $(top_srcdir)/automake/compile.am
-
-if LIBNETWORKING
-project_lib_LIBRARIES = libnfs.a
-libnfs_a_SOURCES =
-libnfs_a_SOURCES += proto/mount_prot_xdr.c
-libnfs_a_SOURCES += proto/nfs_prot_xdr.c
-libnfs_a_SOURCES += src/nfs.c
-libnfs_a_SOURCES += src/rpcio.c
-libnfs_a_SOURCES += src/sock_mbuf.c
-libnfs_a_SOURCES += src/xdr_mbuf.c
-endif
-
-
-if RPCTOOLS
-$(srcdir)/proto/mount_prot.h: proto/mount_prot.x
-	(cd $(srcdir)/proto && $(RPCGEN) -h -C mount_prot.x > mount_prot.h)
-
-$(srcdir)/proto/mount_prot_xdr.c: proto/mount_prot.x proto/mount_prot.h
-	(cd $(srcdir)/proto && $(RPCGEN) -c -C mount_prot.x \
-	> mount_prot_xdr.c)
-
-$(srcdir)/proto/nfs_prot.h: proto/nfs_prot.x
-	(cd $(srcdir)/proto && $(RPCGEN) -h -C nfs_prot.x > nfs_prot.h)
-
-$(srcdir)/proto/nfs_prot_xdr.c: proto/nfs_prot.x proto/nfs_prot.h
-	(cd $(srcdir)/proto && $(RPCGEN) -c -C nfs_prot.x \
-	> nfs_prot_xdr.c)
-endif
-
-include $(top_srcdir)/automake/local.am
Index: cpukit/wrapup/Makefile.am
===================================================================
--- cpukit/wrapup/Makefile.am	(revision d3d1243487e2e4ffa83231ca3afd402504d43f11)
+++ cpukit/wrapup/Makefile.am	(revision b45a85322a609d233d611baf5d7623c39f5e7c9e)
@@ -25,11 +25,4 @@
 
 TMP_LIBS += ../libstdthreads/libstdthreads.a
-if LIBDOSFS
-TMP_LIBS += ../libfs/libdosfs.a
-endif
-TMP_LIBS += ../libfs/libdefaultfs.a
-TMP_LIBS += ../libfs/libdevfs.a
-TMP_LIBS += ../libfs/libimfs.a
-TMP_LIBS += ../libfs/librfs.a
 
 TMP_LIBS += ../libmisc/libmonitor.a
